<< subspaceMethodsInputPars | FOSSEE_Signal_Processing_Toolbox | tf2sos >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > synthesis

# synthesis

Compute a signal from its short-time Fourier transform.

### Syntax

    synthesis(y, c)

### Parameters

y:

  Real or complex matrix representing a signal's short-time fourier transform.

c:

  3-element vector C specifying window size, increment and window type.

### Description

Compute a signal from its short-time Fourier transform 'y' and a 3-element vector 'c' specifying window size, increment, and window type. A window type of 1 represents a hanning window, 2 represents a hamming window and 3 represents a rectangular window. The values 'y' and 'c' can be derived by [y, c] = stft (x, ...)

### Examples

    // Reconstruct a signal from its short-time Fourier transform
    // Define a short-time Fourier transform (STFT) matrix
    y = [1+2*%i, 2+3*%i; 3+4*%i, 4+5*%i]
    // Define the window parameters: [window size, increment, window type]
    c = [4, 1, 1] // Hanning window with size 4 and increment 1
    // Reconstruct the signal
    x = synthesis(y, c)

Report an issue
<< subspaceMethodsInputPars | FOSSEE_Signal_Processing_Toolbox | tf2sos >>